Bug 544649

Summary: Upgrade F11->F12, old winxp KVM guest needs nx flag passed to emulator to boot
Product: [Fedora] Fedora Reporter: Bernard Johnson <bjohnson>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---Keywords: Regression
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-17 14:02:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bernard Johnson 2009-12-05 16:00:34 EST
Description of problem:
After upgrading to F-12, a win32 image built under F-11 fails to boot.

Version-Release number of selected component (if applicable):
pm -q qemu-system-x86 libvirt
qemu-system-x86-0.11.0-11.fc12.x86_64
libvirt-0.7.1-15.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Take a win32 image working under F-11/qemu and boot on F-12
2.
3.
  
Actual results:
Booting win32 image hangs.

Expected results:
Successful boot.

Additional info:
This debian bug describes a workaround, which also works for me in Fedora (they were using 32-bit qemu, but the same workaround works for 64-bit): http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533853#30

Ubuntu related reports:
https://bugs.launchpad.net/ubuntu/hardy/+source/libvirt/+bug/105195
https://bugs.launchpad.net/ubuntu/+source/kvm/+bug/395356
https://bugs.launchpad.net/ubuntu/+source/qemu-kvm/+bug/379991
Comment 1 Bug Zapper 2010-11-04 00:14:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2010-11-17 14:02:42 EST
My guess is this is the result of the qemu machine config changing between upgrades. From F12 on we hopefully solve this, but I don't think there is much we can do for guests created before that. Closing.